%define origname xmms-cdread

Name: xmms-in-cdread
Version: 0.14a
Release: alt5

Summary: Input plugin that reads audio data from CDs
License: GPL
Group: Sound

Source: ftp://mud.stack.nl/pub/OuterSpace/willem/%origname-%version.tar.bz2
Patch0: xmms-cdread-fini.patch
Patch1: xmms-cdread-0.14a-std-headers.patch
Patch2: xmms-cdread-0.14a-includedir.patch
Patch3: xmms-cdread-0.14a-shuffle_list.patch.bz2
Patch4: xmms-cdread-0.14a-recode.asp.patch
Patch5: xmms-cdread-0.14a-debian.patch

Obsoletes: xmms-cdread < 0.14a-alt4
Provides: xmms-cdread = %version-%release

# Automatically added by buildreq on Wed Jan 07 2004
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libxmms-devel xmms

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
%setup -q -n %origname-%version
%patch0 -p1 -b .fini
%patch1 -p1 -b .header
%patch2 -p1 -b .includedir
%patch3 -p1 -b .shuffle
%patch4 -p1 -b .recode
%patch5 -p1 -b .debian
# Remove CCLD = "gcc -nostdlib" hack.
%__subst 's/^CCLD.*//g' Makefile.am

%build
# due to patch 1
autoreconf -isv
%configure
%make_build

%install
%makeinstall libdir=%buildroot%xmms_inputdir

%files
%xmms_inputdir/libcdread.so
%doc AUTHORS TODO ChangeLog NEWS README

# TODO: 
# - fix lots of segfaults
# - fix "file info" regarding recode patch (no recoding used there)

%changelog
* Thu Feb 05 2004 Michael Shigorin <mike@altlinux.ru> 0.14a-alt5
- Makefile.am and spec fixes by Dmitry V. Levin (ldv@)

* Wed Jan 07 2004 Michael Shigorin <mike@altlinux.ru> 0.14a-alt4
- as per xmms packaging policy:
  * renamed to %name as per xmms packaging policy
  * adapted spec to xmms macros
- added shuffle_list patch by <danny mailmij org>: fix xmms 1.2.8 compatibility
- added recode patch by Alexandr D. Kanevskiy <kad asplinux ru>
- added debian fixes (cddb code, endianness, FMT_S16_*)
  (should be split probably?)

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.14a-alt3
- Rebuild for new Sisyphus
- build fixes for gcc 3.x

* Thu Dec 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.14a-alt2
- Automatically added buildrequires

* Sat Dec 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.14a-alt1
- Adopted to ALT Linux, spec cleanup

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14a-1mdk
- new version
- fix obsolete-tag Copyright
- fix invalid-distribution Linux-Mandrake

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- rebuild

* Tue May 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- bump to 0.11c to comply with xmms-1.2.5 interface

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9a-3mdk
- Rebuild.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build

